
D4Science Infrastructure - Task #822

Support # 714 (Closed): RedMine authentication with email address (as well as username)

Setup a test redmine VM to experiment with the ldap authentication

Sep 29, 2015 07:27 PM - Andrea Dell'Amico

Status: Closed Start date: Sep 29, 2015

Priority: Urgent Due date: Oct 09, 2015

Assignee: Andrea Dell'Amico % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Development   

Description

History

#1 - Sep 29, 2015 07:28 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Tommaso created the new VM, and a one that hosts the dev ldap server.

#2 - Oct 01, 2015 03:29 PM - Massimiliano Assante

- Priority changed from Normal to Urgent

we need to do the test the login via email as soon as possible because I keep receiving emails from VRE users and they don't know their username

#3 - Oct 05, 2015 12:18 PM - Massimiliano Assante

Any update on this?

#4 - Oct 07, 2015 10:57 AM - Massimiliano Assante

Andrea Dell'Amico Tommaso Piccioli what are we missing to start testing the switching to email address instead of username?

I see that you created the new VM, and a one that hosts the dev ldap server. No other progress is reported. Unfortunately day by day I keep receiving

requests from (portal) users who don't know what they username is and want to access Redmine directly. This is something that could be avoided if

we switch to email login. 

#5 - Oct 07, 2015 11:05 AM - Massimiliano Assante

- Status changed from In Progress to Feedback

- Assignee changed from _InfraScience Systems Engineer to Tommaso Piccioli

It seems Andrea cannot deal with this directly, I am reassigning the ticket to Tom. If also Tom cannot take the ticket in charge this week we need to

find another person. Please Tom provide feedback.

#6 - Oct 08, 2015 11:57 AM - Massimiliano Assante

- Due date set to Oct 09, 2015

Tommaso Piccioli please provide feedback on this activity. At least we should switch to email by the end of this week.

#7 - Oct 08, 2015 07:09 PM - Andrea Dell'Amico

- Assignee changed from Tommaso Piccioli to Andrea Dell'Amico

The redmine devel install is now working.

It answers to http://redmine-d.d4science.org (no https for now) and it is still attached to the two production ldap servers.

#8 - Oct 09, 2015 09:09 AM - Massimiliano Assante
https://redmine.dev.d4science.org/users/37
https://redmine.dev.d4science.org/users/680
https://redmine.dev.d4science.org/users/680
http://redmine-d.d4science.org


- Status changed from Feedback to Resolved

- % Done changed from 0 to 90

Thanks, https is needed to test the "full workflow" but not crucial in this moment.

#9 - Oct 20, 2015 11:07 AM - Andrea Dell'Amico

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
